"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevServer = void 0;
const command_1 = require("@oclif/command");
const container_1 = require("../server/container");
class DevServer extends command_1.Command {
    async run() {
        const options = this.parse(DevServer);
        process.env.NODE_ENV = 'development';
        const container = new container_1.ServerContainer({
            debug: options.flags.debug,
        });
        await container.runProjectDiagnostics();
        await container.start();
    }
}
exports.DevServer = DevServer;
DevServer.description = 'Run server in Development mode';
DevServer.flags = {
    debug: command_1.flags.boolean({
        default: false,
        description: 'Print useful debug information'
    })
};
DevServer.args = [];
exports.default = DevServer;
//# sourceMappingURL=dev-server.js.map