"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
const command_1 = require("@oclif/command");
const container_1 = require("../server/container");
class Server extends command_1.Command {
    async run() {
        const options = this.parse(Server);
        process.env.NODE_ENV = 'production';
        const container = new container_1.ServerContainer({
            debug: options.flags.debug,
        });
        await container.runProjectDiagnostics();
        await container.start();
    }
}
exports.Server = Server;
Server.description = 'Run server in Production mode';
Server.flags = {
    debug: command_1.flags.boolean({
        default: false,
        description: 'Print useful debug information'
    })
};
Server.args = [];
exports.default = Server;
//# sourceMappingURL=server.js.map